Subject: [Sigtran] ASPSM and ASPTM example for SG having multiple SGPs

From: "Sandeep Kumar" <[email-masked]>
Date: Wed, 1 Mar 2006 13:45:16 +0530

Hi,

As everyone agrees there is a requirement for a document having test
cases or examples addressing how AS is handled by an SG (multiple
SGPs) .

Here is a proposal for such kind of example, if it is acceptable, then
we can prepare similar examples for more scenarios

5.1.5 Single ASP in an Application Server ("1+0" sparing), Two SGPs in an SG

   This scenario shows the example M3UA message flows for the
   establishment of traffic between SGPs and an ASP where only one ASP
   is configured within an AS (no backup). Both SGPs are part of an SG and
   they co-ordinate AS state between them.

         SGP2                     SGP1                     ASP1
          |                        |                        |
          |                        |<--------ASP Up---------|
          |                        |-------ASP Up Ack------>|
          |                        |                        |
          |                        |--NOTIFY(AS-INACTIVE)-->|
          |                        |                        |
          |<--------------------------ASP Up----------------|
          |--------------------------ASP Up Ack------------>|
          |                        |                        |
          |------------------------NOTIFY(AS-INACTIVE)----->|     1*
          |                        |                        |
          |                        |                        |
          |                        |<-------ASP Active------|
          |                        |------ASP Active Ack--->|
          |                        |                        |
          |                        |---NOTIFY(AS-ACTIVE)--->|
          |------------------------NOTIFY(AS-ACTIVE)------->|     2*
          |                        |                        |
          |                        |                        |
          |<--------------------------ASP Active------------|
          |--------------------------ASP Active Ack-------->|
          |                        |                        |
          |                        |                        |     3*

1* - Duplicate Notify, may not be issued by SGP
2* - Duplicate Notify, may not be issued by SGP
3* - Here Notify may be issued by SGP

5.3.2 Withdrawal of ASP, Two SGPs in an SG

   Following on from the example in Section 5.1.5, and ASP1 withdraws
   from service:

         SGP2                     SGP1                     ASP1
          |                        |                        |
          |                        |<-----ASP Inactive------|
          |                        |----ASP Inactive Ack--->|
          |                        |                        |
          |                        |                        |     1*
          |                        |                        |
          |<--------------------------ASP Inactive----------|
          |--------------------------ASP Inactive Ack------>|
          |                        |                        |
          |                        |--NOTIFY(AS-PENDING)--->|
          |                        |                        |
          |------------------------NOTIFY(AS-PENDING)------>|     2*
          |                        |                        |
          |                        |--NOTIFY(AS-INACTIVE)-->|
          |                        |                        |
          |------------------------NOTIFY(AS-INACTIVE)----->|     3*
          |                        |                        |
          |                        |                        |
          |                        |<-------ASP Down--------|
          |                        |------ASP Down Ack----->|
          |                        |                        |
          |                        |                        |
          |<--------------------------ASP Down--------------|
          |--------------------------ASP Down Ack---------->|
          |                        |                        |
          |                        |                        |

   1* - AS state will not change, as it is still ACTIVE with another SGP
   2* - Duplicate Notify, may not be issued by SGP
   3* - Duplicate Notify, may not be issued by SGP

   Note: If the SGP M3UA layer detects the loss of the M3UA peer (e.g.,
   M3UA heartbeat loss or detection of SCTP failure), the initial ASP
   Inactive message exchange (i.e., SGP to ASP1) would not occur.

It is very important from interoperability point of view, ASP
behaviour will also change with  decision of doing ASPSM and NOTIFY
procedures per SG or per SGP.

Thanks,
Sandeep

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 1 Mar 2006 04:42:56 -0700

Sandeep,

I think duplicate notifications are a really bad idea: it introduces
all manner of races.  Consider several NTFY(Alternate ASP Active)'s
on different paths.

Also, I think any new examples should include multiple ASPs as well
as multiple SGPs.  (Let's not make the same mistake again.)

--brian

Sandeep Kumar wrote:                                                                                                                                                        (Wed, 01 Mar 2006 13:45:16)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 1 Mar 2006 08:18:57 -0500

Sandeep,

I completely agree that examples are necessary. OTOH, I think first we need
to decide what is the "best" semantics.

I really think we should discuss with an open-mind what the NTFY/traffic
distribution semantics should be for multiple SGP cases. I am in favor of
having all ASPSM/ASPTM per SGP. For NTFY, I think we may have a bit more
flexibility, considering its advisory nature. BTW, are ASPs relying on
NTFY("AS State Change") notifications for any decision, it seems to me they
shouldn't but there may be some which do in practice. It could be also good
to get some feedback from more people about that.

   Thanks,
   Tolga

> -----Original Message-----
> From: Sandeep Kumar [mailto:[email-masked]]
> Sent: Wednesday, March 01, 2006 3:15 AM
> To: [email-masked]
> Subject: [Sigtran] ASPSM and ASPTM example for SG having multiple SGPs
>
>
> Hi,
>

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 1 Mar 2006 10:38:20 -0500

Brian,

Yes, it is definitly better to play safe and define it nicely in the
specification, then it is up to ASP what to do with it.

   Tolga

> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Wednesday, March 01, 2006 10:52 AM
> To: Tolga Asveren
> Cc: [email-masked]
> Subject: Re: [Sigtran] ASPSM and ASPTM example for SG having multiple
> SGPs
>
>
> Tolga,
>
> ASPs can always rely on NTFY messages of AS state change: the SGP is
> required to send them.  OTOH, the ASP is not required to rely upon them,
> but it surely can.
>
> --brian
>
> Tolga Asveren wrote:
>    (Wed, 01 Mar 2006 08:18:57)
> > Sandeep,
> >

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 1 Mar 2006 08:51:48 -0700

Tolga,

--brian

Tolga Asveren wrote:                                                 (Wed, 01 Mar 2006 08:18:57)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 1 Mar 2006 11:53:37 -0700

Tolga,

Again, we agreed that NTFY is advisory: the SGP is required to
send one, the ASP is not compelled to act upon it; but may rely
upon it.  And, yes, both are clearly stated in the specification
in section 4.3.4.5.

--brian

Tolga Asveren wrote:                                                 (Wed, 01 Mar 2006 10:38:20)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/